<div class="container">
    <div class="grid">
        <div *ngFor="let item of productsSelector | async" class="col-4">
            <p-card header="{{item?.name}}" [subheader]="item?.category">
                <ng-template pTemplate="header">
                    <img class="card-product" height="400px" style="object-fit:cover;" alt="Card" [src]="item?.image">
                </ng-template>
                {{item?.desc}}
                <ng-template pTemplate="footer">
                    <p>{{item?.price | currency:'IDR' }}</p>
                    <div class="flex justify-content-between">
                        <button pButton type="button" label="Detail" routerLink="{{'/product/' + item.id}}"></button>
                        <button (click)="confirm(item.id)" pButton label="Add to cart"></button>
                    </div>
                </ng-template>
            </p-card>
        </div>
    </div>
</div>